server:
  port: 9028
  tomcat:
    uri-encoding: utf-8

mybatis:
  config-location: classpath:mybatis/mybatis-config.xml

reportUrl: http://101.36.160.140:8097

#socket地址
socket-url: 58.214.246.30
socket-port: 42121
#设置全局变量判断是云端还是库端；1云端，2本地
localOrCloud: 2
# 多通道气体
gas-org-ids: 386,177
# 数量检测版本区分version3
num_version3: :20013

# 注册中心配置 defaultZone: http://eureka-depot:9001/eureka/
eureka:
  client:
    service-url:
      defaultZone: http://localhost:9001/eureka/
  instance:
    hostname: 172.16.0.16
    prefer-ip-address: true
    # 每隔10s发送一次心跳(默认30s)
    lease-renewal-interval-in-seconds: 10
    # 告知服务端30秒还未收到心跳的话，就将该服务移除列表(默认90s)
    lease-expiration-duration-in-seconds: 30
    status-page-url: http://${eureka.instance.hostname}:${server.port}/swagger-ui.html

spring:
  application:
    name: depot-intelligent
  # 数据库配置
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    url: jdbc:gbasedbt-sqli://101.36.160.140:19089/depot:INFORMIXSERVER=ol_gbasedbt1210;NEWCODESET=GB18030,GB18030-2000,5488;DB_LOCALE=zh_cn.GB18030-2000;GL_USEGLU=1;IFX_USE_STRENC=true;characterEncoding=utf8;
    username: gbasedbt
    password: cDbK2S0go8
    driver-class-name: com.gbasedbt.jdbc.IfxDriver
  # 缓存配置 host: redis-depot
  session:
    store-type: redis
  redis:
    database: 3
    host: 172.16.0.2
    port: 6379
    password: 123456
    timeout: 3000
    jedis:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    #No serializer found for class com.gbasedbt.jdbc.IfxLobInputStream
    #and no properties discovered to create BeanSerializer
    #(to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS)
    #(through reference chain: java.util.ArrayList[1]->java.util.HashMap["imgdata"]->com.gbasedbt.jdbc.IfxBblob["binaryStream"])
    # 将Springboot中对Json格式输出的严格控制--JackSon关闭
    # spring.jackson.serialization.FAIL_ON_EMPTY_BEANS=false
    serialization:
      FAIL_ON_EMPTY_BEANS: false
web:
  upload-path: /home/depot/depot-web/apache-tomcat-8.0.53/webapps/ROOT/WEB-INF/classes/static